Accueil » Mairie » Autres » Utilisateur Mac - Besoin d'aide :-)
Tout ce qui a un rapport avec le jeu mais ne va dans aucune autre partie.

Utilisateur Mac - Besoin d'aide :-)

Messagepar Ludo147 » Dim 16 Jan 2011 23:09

Bonjour à tous,


Comme je l'ai mentionné dans le titre, je suis sous Mac !

J'aimerais vraiment jouer à ce jeu, mais sans passer sous machine virtuelle...

J'ai chopper "CrossOver" qui émule les applications histoire de corriger tout ça...

Seulement voila, Microsoft Framework .NET 3.5 n'est pas supporté... Et j'ai essayé quand même mais impossible...
(Aucun soucis pour le jeu en lui même et AccessDatabaseEngine à première vue)


Alors serait-il possible de faire tourner le jeu avec Microsoft Framework .NET 2.0 ou 3.0, qui, eux, sont, il me semble, supporté ?

Ça permettrait de faire une "version Mac" à faible coût :-p


Merci d'avance pour vos conseils ! En espérant pouvoir tester le jeu dans quelque temps... ;-)
Ludo147
Voteur occasionnel
Voteur occasionnel
 
Messages: 15

Re: Utilisateur Mac - Besoin d'aide :-)

Messagepar Sasori » Lun 17 Jan 2011 00:09

Oui je vais essayer de te faire ça pour voir si ça marche.
Image
Avatar de l’utilisateur
Sasori
Maire de Sexy City
Maire de Sexy City
 
Messages: 4509
Âge: 35

Re: Utilisateur Mac - Besoin d'aide :-)

Messagepar Ludo147 » Lun 17 Jan 2011 00:27

Un grand merci ;-)
Ludo147
Voteur occasionnel
Voteur occasionnel
 
Messages: 15

Re: Utilisateur Mac - Besoin d'aide :-)

Messagepar Ludo147 » Jeu 20 Jan 2011 00:38

Tu penses faire ça pour quand ? :)

Je ne veux pas te mettre la pression, c'est juste histoire d'avoir une idée !


Bonne soirée !
Ludo147
Voteur occasionnel
Voteur occasionnel
 
Messages: 15

Re: Utilisateur Mac - Besoin d'aide :-)

Messagepar Sasori » Jeu 20 Jan 2011 09:48

Essaye avec ça, j'ai juste changer le framework pour le jeu, pas pour les éditeurs, si ça fonctionne je le ferai.
Fichiers joints
Installer_Sexy_City_1.3.1.exe
(8.39 Mio) Téléchargé 530 fois
Image
Avatar de l’utilisateur
Sasori
Maire de Sexy City
Maire de Sexy City
 
Messages: 4509
Âge: 35

Re: Utilisateur Mac - Besoin d'aide :-)

Messagepar vimesrules » Jeu 20 Jan 2011 19:55

Je viens de le tester avec la version eval de CrossOver, ayant installé le framework .NET 3.0, l'Access et SC 1.3.1 (version ci-dessus) et cela ouvre sur mon Macbook, mais c'est inexploitable car on ne peut rien cocher dans les options (pratiques, vêtements, etc) et même n'ayant rien sélectionné, on ne peut pas démarrer la partié.

Dommage, ça y était presque... peut-être qu'un autre citoyen aura plus de chance ou de talent que moi pour le faire fonctionner ?
Avatar de l’utilisateur
vimesrules
Voteur occasionnel
Voteur occasionnel
 
Messages: 44

Re: Utilisateur Mac - Besoin d'aide :-)

Messagepar Sasori » Jeu 20 Jan 2011 21:01

Je peux pas te dire je connais pas ce truc il faudrait que j'essaye. Ca paraissait trop facile. :)
Pour info j'ai compilé pour le framework 2.0 donc le 3.0 doit normalement convenir.
Image
Avatar de l’utilisateur
Sasori
Maire de Sexy City
Maire de Sexy City
 
Messages: 4509
Âge: 35

Re: Utilisateur Mac - Besoin d'aide :-)

Messagepar Ludo147 » Ven 21 Jan 2011 14:59

vimesrules, comment as-tu réussi à installer le 3.0 avec CrossOver ? Moi impossible, erreur à chaque installation, et j'ai déjà essayer multiple fois ^^


Sinon je vais tester ce que tu me proposes, mais donc je dois installer, Framework 2.0 + AccessDataBase et puis l'install c'est ça ?


Thanks ;-)
Ludo147
Voteur occasionnel
Voteur occasionnel
 
Messages: 15

Re: Utilisateur Mac - Besoin d'aide :-)

Messagepar Sasori » Ven 21 Jan 2011 15:31

Oui.
Image
Avatar de l’utilisateur
Sasori
Maire de Sexy City
Maire de Sexy City
 
Messages: 4509
Âge: 35

Re: Utilisateur Mac - Besoin d'aide :-)

Messagepar vimesrules » Mer 26 Jan 2011 13:57

De mon côté j'ai installé la version évaluation de CrossOver.

Puis j'ai installé le framework dotNET et les Access Components en utilisant les versions répertoriées dans CrossOver (pas les versions téléchargées sur ce site, ils ne marchent pas), dans la même 'bouteille' que j'ai nommée SC.

Enfin j'ai installe la version spéciale de SC (préparée par Sasori dans ce post) dans la même bouteille (faut pas les installer dans de différentes 'bouteilles' car aucune chance que cela marche).

Puis je l'ai démarré. Et ça marche presque, mais pas assez pour démarrer une partie. Une piste intéressante néanmoins...
Avatar de l’utilisateur
vimesrules
Voteur occasionnel
Voteur occasionnel
 
Messages: 44

Suivante

Retourner vers Autres

  • Qui est en ligne
    Utilisateurs parcourant ce forum: Aucun citoyen et 1 invité